Bug 1129778 - [abrt] libreoffice-core: EditView::GetFieldUnderMousePointer(int&, unsigned short&) const(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: EditView::GetFieldUnderMousePointer(int&, unsigned s...
Keywords:
Status: CLOSED DUPLICATE of bug 1165444
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:00d96b56700e8f5fc39ef5c4254...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:47 UTC by Chandan
Modified: 2014-11-19 20:47 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 07:40:22 UTC


Attachments (Terms of Use)
File: backtrace (47.73 KB, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: cgroup (172 bytes, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: core_backtrace (20.64 KB, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: dso_list (26.41 KB, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: environ (2.32 KB, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: maps (113.63 KB, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: open_fds (424 bytes, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details
File: var_log_messages (391 bytes, text/plain)
2014-08-13 15:47 UTC, Chandan
no flags Details

Description Chandan 2014-08-13 15:47:33 UTC
Description of problem:
I was using Calc and changing the cell formating, suddenly it crashed.

Version-Release number of selected component:
libreoffice-core-4.2.5.2-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: EditView::GetFieldUnderMousePointer(int&, unsigned short&) const
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 EditView::GetFieldUnderMousePointer(int&, unsigned short&) const at /usr/lib64/libreoffice/program/../program/libeditenglo.so
 #1 EditView::GetFieldUnderMousePointer() const at /usr/lib64/libreoffice/program/../program/libeditenglo.so
 #2 ScGridWindow::GetEditUrl(Point const&, rtl::OUString*, rtl::OUString*, rtl::OUString*) at /usr/lib64/libreoffice/program/../program/libsclo.so
 #3 ScGridWindow::MouseMove(MouseEvent const&) at /usr/lib64/libreoffice/program/../program/libsclo.so
 #4 ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long, long, unsigned long, unsigned short, unsigned short) at /usr/lib64/libreoffice/program/libvcllo.so
 #5 Window::ImplCallMouseMove(unsigned short, unsigned char) at /usr/lib64/libreoffice/program/libvcllo.so
 #6 ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) at /usr/lib64/libreoffice/program/libvcllo.so
 #7 GtkSalFrame::signalKey(_GtkWidget*, _GdkEventKey*, void*) at /usr/lib64/libreoffice/program/libvclplug_gtklo.so
 #8 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #13 gtk_widget_event_internal at gtkwidget.c:5017

Comment 1 Chandan 2014-08-13 15:47:36 UTC
Created attachment 926502 [details]
File: backtrace

Comment 2 Chandan 2014-08-13 15:47:36 UTC
Created attachment 926503 [details]
File: cgroup

Comment 3 Chandan 2014-08-13 15:47:37 UTC
Created attachment 926504 [details]
File: core_backtrace

Comment 4 Chandan 2014-08-13 15:47:38 UTC
Created attachment 926505 [details]
File: dso_list

Comment 5 Chandan 2014-08-13 15:47:39 UTC
Created attachment 926506 [details]
File: environ

Comment 6 Chandan 2014-08-13 15:47:40 UTC
Created attachment 926507 [details]
File: exploitable

Comment 7 Chandan 2014-08-13 15:47:41 UTC
Created attachment 926508 [details]
File: limits

Comment 8 Chandan 2014-08-13 15:47:42 UTC
Created attachment 926509 [details]
File: maps

Comment 9 Chandan 2014-08-13 15:47:43 UTC
Created attachment 926510 [details]
File: open_fds

Comment 10 Chandan 2014-08-13 15:47:44 UTC
Created attachment 926511 [details]
File: proc_pid_status

Comment 11 Chandan 2014-08-13 15:47:45 UTC
Created attachment 926512 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-08-15 09:11:59 UTC
*** Bug 1125000 has been marked as a duplicate of this bug. ***

Comment 13 Caolan McNamara 2014-08-15 09:12:51 UTC
Are you able to reproduce this in any way ?

Comment 14 Chandan 2014-09-08 13:35:55 UTC
No I am not.

Comment 15 Thom Carlin 2014-10-28 16:41:27 UTC
Also encountered this

Comment 16 Caolan McNamara 2014-10-28 20:40:26 UTC
Any route to reproduce ?

Comment 17 Thom Carlin 2014-10-29 03:58:37 UTC
Best guess is Insert > Name > Define over and over.  Nothing else so far

Comment 18 Benjamin Masse 2014-11-03 11:20:59 UTC
Experiencing similar crashes with libreoffice-4.2.7.2-2.fc20.x86_64
Not a programmer myself, but one crash has been triggered when editing the text content of a cell that automatically changed the capitalization of the first letter of a word.
Volunteering to follow any suggested troubleshooting steps.

Comment 19 Caolan McNamara 2014-11-03 14:08:46 UTC
caolanm->bmasse: can you reproduce it, because entering simple text into a cell and getting it to autocorrect and "clicking around" doesn't do anything odd for me.

Comment 20 Benjamin Masse 2014-11-03 17:33:24 UTC
I understand Caolan. I see bug is still on closed and will provide you with steps if I'm able to reproduce it as I'm working with LO on a daily basis (thanks for the hard work so far BTW).
For what it's worth, file that provoked the crash contains hyperlink.
I was not editing a cell that contained one though.
Keep you posted.

Comment 21 Caolan McNamara 2014-11-03 20:49:35 UTC
yeah, we can reopen once we got anything concrete that we can work on. The crash does strongly indicate that a hyperlink is involved, perhaps merely with the mouse passing over the hyperlink.

Comment 22 Caolan McNamara 2014-11-19 16:42:13 UTC

*** This bug has been marked as a duplicate of bug 1165444 ***

Comment 23 Thom Carlin 2014-11-19 20:47:01 UTC
Was inserting Column Left.  No reproducer yet


Note You need to log in before you can comment on or make changes to this bug.